CS::Utility::ImportKit::Container::Model::Mesh Class Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Utility::ImportKit::Container::Model::Mesh Class Reference

Model mesh, contains actual geometry. More...

`#include <cstool/importkit.h>`

List of all members.

## Public Member Functions
size_t | GetMaterial () const
| Mesh material.
const float * | GetNormals () const
| Return normals.
const float * | GetTexCoords () const
| Return texture coordinates.
size_t | GetTriangleCount () const
| Get the number of triangles.
const unsigned int * | GetTriangles () const
| Get triangle.
unsigned int | GetVertexCount () const
| Return numver of vertices.
const float * | GetVertices () const
| Return vertices.

## Detailed Description

Model mesh, contains actual geometry.

Definition at line 77 of file importkit.h.

## Member Function Documentation

size_t CS::Utility::ImportKit::Container::Model::Mesh::GetMaterial | ( |  | ) | const`[inline]`

Mesh material.

Returns an index that can be used with Container::GetMaterial().

Definition at line 121 of file importkit.h.

const float* CS::Utility::ImportKit::Container::Model::Mesh::GetNormals | ( |  | ) | const`[inline]`

Return normals.

The returned buffer contains 3 entries for nx,ny,nz of each vertex.

Definition at line 107 of file importkit.h.

const float* CS::Utility::ImportKit::Container::Model::Mesh::GetTexCoords | ( |  | ) | const`[inline]`

Return texture coordinates.

The returned buffer contains 2 entries for u,v of each vertex.

Definition at line 102 of file importkit.h.

size_t CS::Utility::ImportKit::Container::Model::Mesh::GetTriangleCount | ( |  | ) | const`[inline]`

Get the number of triangles.

Definition at line 110 of file importkit.h.

const unsigned int* CS::Utility::ImportKit::Container::Model::Mesh::GetTriangles | ( |  | ) | const`[inline]`

Get triangle.

The returned buffer contains the indices into the vertex etc. arrays for each corner.

Definition at line 115 of file importkit.h.

unsigned int CS::Utility::ImportKit::Container::Model::Mesh::GetVertexCount | ( |  | ) | const`[inline]`

Return numver of vertices.

Definition at line 92 of file importkit.h.

const float* CS::Utility::ImportKit::Container::Model::Mesh::GetVertices | ( |  | ) | const`[inline]`

Return vertices.

The returned buffer contains 3 entries for x,y,z of each vertex.

Definition at line 97 of file importkit.h.

The documentation for this class was generated from the following file:

- cstool/importkit.h